#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Matroska2 library for Belledonne Communications projects
Summary(pl.UTF-8):	Biblioteka Matroska2 do projektów Belledonne Communications
Name:		bcmatroska2
Version:	5.4.17
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/bcmatroska2/-/tags
Source0:	https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	2e41f4a800d1ecbdce419a4323e46230
URL:		https://linphone.org/
BuildRequires:	bctoolbox-devel >= 5.3.0
BuildRequires:	cmake >= 3.22
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	bctoolbox >= 5.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska2 library for Belledonne Communications projects.

%description -l pl.UTF-8
Biblioteka Matroska2 do projektów Belledonne Communications.

%package devel
Summary:	Header files for bcmatroska2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki bcmatroska2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bctoolbox-devel >= 5.3.0
Obsoletes:	matroska-foundation-devel < 0.1

%description devel
Header files for bcmatroska2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki bcmatroska2.

%package static
Summary:	Static bcmatroska2 library
Summary(pl.UTF-8):	Statyczna biblioteka bcmatroska2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static bcmatroska2 library.

%description static -l pl.UTF-8
Statyczna biblioteka bcmatroska2.

%prep
%setup -q

%build
%if %{with static_libs}
%cmake -B builddir-static \
	-DBUILD_SHARED_LIBS=OFF

%{__make} -C builddir-static
%endif

%cmake -B builddir

%{__make} -C builddir

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C builddir-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbcmatroska2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbcmatroska2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbcmatroska2.so
%{_includedir}/corec
%{_includedir}/ebml
%{_includedir}/matroska
%dir %{_datadir}/BCMatroska2
%{_datadir}/BCMatroska2/cmake

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbcmatroska2.a
%endif
%changelog
* Sun May 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bcmatroska2.git;a=log;h=master

* Sun May 18 2025 Jakub Bogusz <qboosh@pld-linux.org> db2a624
- updated to 5.4.17

* Sun Jan 26 2025 Bartek Szady <bszx@bszx.eu> 490bbab
- updated to 5.3.101

* Tue Apr 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 8a6441b
- updated to 5.3.36

* Wed Mar 06 2024 Jakub Bogusz <qboosh@pld-linux.org> f5e74a5
- updated to 5.3.26

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> fcc0a6e
- updated to 5.2.1
- patched to fix static+shared library build and duplicate symbols in file helpers

* Mon Jul 12 2021 Jakub Bogusz <qboosh@pld-linux.org> ee9b99e
- macros for cmake

* Sat Jul 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 2cee2aa
- disable cmake completeness check, so -static is not required by -devel; release 2

* Sat Jul 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 593a4f5
- added new releases URL

* Sun Jun 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 499a8ad
- new

